[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#565816: system-config-printer-kde doesn't work with non English language

Package: system-config-printer-kde
Version: 4:4.3.4-1
Severity: important
Tags: l10n

When KDE is in Brazilian Portuguese, the system-config-printer-kde shows:

[pt_BR]: "O servico 'Configuracao da impressora' nao fornece uma interface
         'KCModule' com a palavra-chave 'system-config-printer-kde/
         system-config-printer-kde.py'. A funcao nao suporta a criacao de
         componentes do tipo especificado.

[en - translation]: The service 'printer configuration' provides no interface
         'KCModule' with the keyword "system-config-printer-kde/
         system-config-printer-kde.py'. Factory does not support the
         generation of components of the given type.

Using English as default language, the system-config-printer-kde works fine.

In shell mode, under pt-BR, the system reports:

$ /usr/bin/kcmshell4 system-config-printer-kde
Traceback (most recent call last):
  File "<string>", line 18, in kpythonpluginfactory_bridge
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 3997, in CreatePlugin
    kcm = u.makeui(component_data, widget_parent)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 222, in makeui
    special_choice=_("Automatic rotation")),
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 46, in _
    return unicode(i18n(string), "utf-8")
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 4-6: invalid data

Thanks in advance.


Eriberto - Brazil

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages system-config-printer-kde depends on:
ii  python-cupsutils              1.0.0-6    Python utility modules around the 
ii  python-kde4                   4:4.3.4-1  Python bindings for the KDE 4 libr
ii  python-qt4-dbus               4.6-1      DBus Support for PyQt4

system-config-printer-kde recommends no packages.

system-config-printer-kde suggests no packages.

-- no debconf information

Reply to: